Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Basic authentication using the partner API keys from https://console.grainfinance.co/keys

Path Parameters

payoutId
string<uuid>
required

The id of the payout within the Grain platform.

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}

Response

Payout found

A Payout represents an executed payment to a vendor. Returned by GET /v1/payouts/{id}, GET /v1/payouts, and POST /v1/payouts/{id}/submit.

id
string<uuid>
required

The id of the payout within the Grain platform.

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
Example:

"8173b9a7-ee61-413e-b9e3-7c04b2a067c5"

status
enum<string>
required

The current status of the payout.

Available options:
in_process,
sent,
paid,
failed,
rejected
Example:

"in_process"

externalPayoutId
string
required

The payout id, as identified within your system.

Pattern: ^[A-Za-z0-9_.\-]{1,64}$
Example:

"inv_2026_001"

currency
string
required

The alpha-3 ISO 4217 currency code of the payout.

Pattern: ^[A-Z]{3}$
Example:

"USD"

amount
number<double>
required

The payout amount, denoted in currency.

Example:

5000

fee
number<double>
required

The fee applied to this payout, denoted in currency.

Example:

1.5

totalAmount
number<double>
required

Total amount that will leave the wallet (amount + fee), denoted in currency.

Example:

5001.5

reason
enum<number>
required

The compliance reason categorising this payout, as a numeric code:

1 - Intercompany Payment 2 - Purchase of Good(s) 3 - Purchase of Service(s) 4 - Transferring to Own Accounts 5 - Valid Vendor Purchases

Available options:
1,
2,
3,
4,
5
Example:

2

description
string | null
required

Free-form description supplied when initiating the payout.

payoutDate
string<YYYY-MM-DD>
required

The date the payout was sent to the bank, in YYYY-MM-DD format.

Pattern: \d{4}-\d{2}-\d{2}
Example:

"2026-05-15"

payoutMethod
enum<string>
required

The payment method that will be used to send the payout.

Available options:
SWIFT,
SEPA,
WIRE,
ACH,
FPS,
CA ACSS,
NPP,
IBG,
BECS,
CCASS,
TEF,
UAEFTS,
SIC,
CERTIS,
DKSMC,
NICS,
SORBNET,
RIX,
SAMOS,
ZAHAV,
SARIE,
QPS
Example:

"SEPA"

vendorDetails
object
required

The vendor receiving the payout, including their bank account details.